> ## Documentation Index
> Fetch the complete documentation index at: https://integrate.essentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Access Profiles

> Replaces the group's full set of access profiles; profiles not included are removed.



## OpenAPI

````yaml api-reference/openapi.yaml put /access-control/access-profile-groups/{sourceId}/access-profiles
openapi: 3.0.0
info:
  title: essentry API
  version: 0.0.0
servers:
  - url: https://app.essentry.com/api/v2
    description: essentry Cloud
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Pre-Processor
  - name: User Provisioning
  - name: Permanent Identities
  - name: Access Control
  - name: Post-Processor
paths:
  /access-control/access-profile-groups/{sourceId}/access-profiles:
    put:
      tags:
        - Access Control
      summary: Upload Access Profiles
      description: >-
        Replaces the group's full set of access profiles; profiles not included
        are removed.
      operationId: AccessControl_uploadAccessProfiles
      parameters:
        - name: sourceId
          in: path
          required: true
          description: >-
            The ID of the access profile group to which the access profiles
            belong.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accessProfiles:
                  type: array
                  items:
                    type: object
                    properties:
                      sourceId:
                        type: string
                        description: >-
                          This is the ID of the profile in the access control
                          system.
                      name:
                        type: string
                      description:
                        type: string
                    required:
                      - sourceId
                      - name
              required:
                - accessProfiles
      responses:
        '204':
          description: >-
            There is no content to send for this request, but the headers may be
            useful. 
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````